2021-02-25 17:38 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004960SpaceQuest3[WHDLoad Installs Games] slavepublic2021-01-24 19:55
Reporterixien 
Assigned ToJOTDProject InfoSpace Quest 3 (Sierra)
http://www.whdload.de/games/SpaceQuest3.html
 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionreopened 
Summary0004960: Crash at launch!
DescriptionWhen you launch the game, you can see the KS1.3 AmigaDOS screen appears, and even the first steps of the game loading but before the Sierra logo, crash and go back to Workbench.
Steps To ReproduceJust launch the game.
Additional InformationThe game was perfectly working with the previous Slave version (1.2-B). Get the problem on my CDTV and I reproduce it on WinUAE. Attached is a screen capture of the exception that occured.
TagsNo tags attached.
MachineCDTV
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.6
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0009466

JOTD (developer)

Last edited: 2021-01-23 18:15

View 2 revisions

can you share your "sq3" executable? (zip it and attach it here)

I have fixed some other logic, maybe check attached new slave.

note ~0009468

ixien (reporter)

Here is my sq3 file. In addition, I tried to reinstall the game using ipf images and I have the same issue.

note ~0009469

ixien (reporter)

I tried the Slave you attached à 18:16. No more success, sadly.

note ~0009473

JOTD (developer)

confirmed on 68000

note ~0009475

ixien (reporter)

No, sorry but it doesn't work on 68000. version 2.1 doesn't work on my real Amiga and if you check the box "more compatible" on WinUAE, you will have the crash again.

note ~0009476

ixien (reporter)

Attached the picture with details of the crash when you check the "more compatible" box on WinUAE.

note ~0009477

JOTD (developer)

Last edited: 2021-01-24 19:55

View 2 revisions

please don't reopen issues when they're closed without comment. Specially when I just confirmed the bug in a comment.

The new version is available on whdload page soon and it fixes the issue

+Notes

-Issue History
Date Modified Username Field Change
2021-01-20 21:24 ixien New Issue
2021-01-20 21:24 ixien File Added: image1.png
2021-01-23 17:54 JOTD Note Added: 0009466
2021-01-23 17:56 JOTD Assigned To => JOTD
2021-01-23 17:56 JOTD Status new => feedback
2021-01-23 18:15 JOTD File Added: SpaceQuest3.zip
2021-01-23 18:15 JOTD Note Edited: 0009466 View Revisions
2021-01-23 18:16 JOTD File Deleted: SpaceQuest3.zip
2021-01-23 18:16 JOTD File Added: SpaceQuest3.zip
2021-01-23 21:38 ixien File Added: sq3.zip
2021-01-23 21:38 ixien Note Added: 0009468
2021-01-23 21:38 ixien Status feedback => assigned
2021-01-23 21:38 ixien File Added: sq3-2.zip
2021-01-23 22:07 ixien Note Added: 0009469
2021-01-24 15:21 JOTD Status assigned => confirmed
2021-01-24 15:21 JOTD Note Added: 0009473
2021-01-24 16:16 JOTD Status confirmed => closed
2021-01-24 16:16 JOTD Resolution open => fixed
2021-01-24 18:30 ixien Status closed => feedback
2021-01-24 18:30 ixien Resolution fixed => reopened
2021-01-24 18:30 ixien Note Added: 0009475
2021-01-24 18:36 ixien File Added: Image2.png
2021-01-24 18:36 ixien Note Added: 0009476
2021-01-24 18:36 ixien Status feedback => assigned
2021-01-24 19:54 JOTD Status assigned => closed
2021-01-24 19:54 JOTD Note Added: 0009477
2021-01-24 19:55 JOTD Note Edited: 0009477 View Revisions
2021-01-24 19:55 JOTD File Deleted: sq3-2.zip
2021-01-24 19:55 JOTD File Deleted: SpaceQuest3.zip
2021-01-24 19:55 JOTD File Deleted: sq3.zip
+Issue History